use crate::board::Board;

pub enum GameState {
    Active,
    Complete,
}

pub struct Game {
    pub state:GameState,
    pub board:Board,
}
impl Game {
    pub fn new() -> Self
    {
        Self {
            state:GameState::Active,
            board:Board::new(),
        }
    }
}
