pub type AuthToken = [u8; 8];

#[derive(Clone, Copy)]
pub struct Authentication {
    pub key:AuthToken,
    pub secret:[u8; 16],
    pub user:u32,
}
impl Authentication {
    pub fn new() -> Self
    {
        Self {
            key:[0; 8],
            secret:[0; 16],
            user:0,
        }
    }
}
