mod connect; pub use connect::*;
mod register; pub use register::*;
mod authenticate; pub use authenticate::*;

mod prelude {
    pub trait Packet {
        type Data;

        fn encode(&self) -> Vec<u8> { Vec::new() }
        fn decode(_data:&Vec<u8>, _index:&mut usize) -> Result<Self::Data, ()> { Err(()) }
    }
} pub use prelude::*;
