#![allow(dead_code)]

pub const STATUS_OK             :u16 = 0x0000;
pub const STATUS_ERROR          :u16 = 0x0001;

pub const STATUS_BAD_HANDLE     :u16 = 0x0001;
pub const STATUS_BAD_SECRET     :u16 = 0x0002;
pub const STATUS_BAD_CODE       :u16 = 0x0003;

pub const STATUS_NOT_IMPL       :u16 = 0x00FF;

pub const CODE_REGISTER         :u16 = 0x0010;
pub const CODE_AUTH             :u16 = 0x0011;
pub const CODE_DEAUTH           :u16 = 0x0013;
pub const CODE_AUTH_RESUME      :u16 = 0x0012;

pub const CODE_LIST_SESSION     :u16 = 0x0010;

pub const CODE_SESSION_JOIN     :u16 = 0x0020;
pub const CODE_SESSION_SPECTATE :u16 = 0x0021;
pub const CODE_SESSION_LEAVE    :u16 = 0x0022;
pub const CODE_SESSION_RETIRE   :u16 = 0x0023;

pub const CODE_GAME_PLAY        :u16 = 0x0030;
